Loading...
Searching...
No Matches
RootNode< ChildT >::DenseIter< RootT > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for RootNode< ChildT >::DenseIter< RootT >:

## Public Member Functions

| DenseIter ()
| DenseIter (RootT *parent)
NodeT * | probeChild (ValueType &value) const
bool | isValueOn () const
DenseIter & | operator++ ()
DenseIter | operator++ (int)
| operator bool () const
uint32_t | pos () const
void | next ()
TileT * | tile () const
CoordType | getOrigin () const
CoordType | getCoord () const

## Protected Types

using | DataT = typename match_const<DataType, RootT>::type
using | TileT = typename match_const<Tile, RootT>::type

## Protected Attributes

DataT * | mData
uint32_t | mPos
uint32_t | mSize

## Member Typedef Documentation

## DataT

template<typename ChildT>
template<typename RootT>

using DataT = typename match_const<DataType, RootT>::type

protectedinherited

## TileT

template<typename ChildT>
template<typename RootT>

using TileT = typename match_const<Tile, RootT>::type

protectedinherited

## Constructor & Destructor Documentation

## DenseIter() [1/2]

template<typename ChildT>
template<typename RootT>

DenseIter | ( |  | ) |

inline

## DenseIter() [2/2]

template<typename ChildT>
template<typename RootT>

DenseIter | ( | RootT * | parent | ) |

inline

## Member Function Documentation

## getCoord()

template<typename ChildT>
template<typename RootT>

CoordType getCoord | ( |  | ) | const

inlineinherited

## getOrigin()

template<typename ChildT>
template<typename RootT>

CoordType getOrigin | ( |  | ) | const

inlineinherited

## isValueOn()

template<typename ChildT>
template<typename RootT>

bool isValueOn | ( |  | ) | const

inline

## next()

template<typename ChildT>
template<typename RootT>

void next | ( |  | ) |

inlineinherited

## operator bool()

template<typename ChildT>
template<typename RootT>

operator bool | ( |  | ) | const

inlineinherited

## operator++() [1/2]

template<typename ChildT>
template<typename RootT>

DenseIter & operator++ | ( |  | ) |

inline

## operator++() [2/2]

template<typename ChildT>
template<typename RootT>

DenseIter operator++ | ( | int |  | ) |

inline

## pos()

template<typename ChildT>
template<typename RootT>

uint32_t pos | ( |  | ) | const

inlineinherited

## probeChild()

template<typename ChildT>
template<typename RootT>

NodeT * probeChild | ( | ValueType & | value | ) | const

inline

## tile()

template<typename ChildT>
template<typename RootT>

TileT * tile | ( |  | ) | const

inlineinherited

## Member Data Documentation

## mData

template<typename ChildT>
template<typename RootT>

DataT* mData

protectedinherited

## mPos

template<typename ChildT>
template<typename RootT>

uint32_t mPos

protectedinherited

## mSize

template<typename ChildT>
template<typename RootT>

uint32_t mSize

protectedinherited